Skip to content

Stored only in your browser. Get one under Tokens.

Update a device token (Nick and OVMode only)​

PATCH
/devices/tokens/{id}

Update specific fields (Nick, OVMode) of a device token.

Authorizations​

ApiKeyAuth
Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

ID of the token to update

Type
string
Required

Request Body​

application/json
JSON
{
  
"default-user-meta": {
  
  
"additionalProperties": "string"
  
},
  
"nick": "string",
  
"ovmode": {
  
  
"mode": "string",
  
  
"root_of_trust": "string",
  
  
"status": "string"
  
}
}

Responses​

OK

application/json
JSON
{
  
"default-user-meta": {
  
  
"additionalProperties": "string"
  
},
  
"disabled": true,
  
"id": "string",
  
"nick": "string",
  
"ovmode": {
  
  
"mode": "string",
  
  
"root_of_trust": "string",
  
  
"status": "string"
  
},
  
"owner": "string",
  
"prn": "string",
  
"time-created": "string",
  
"time-modified": "string",
  
"token": "string",
  
"token-sha": [
  
  
0
  
]
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI